# building\_features (nightly)

Fetch a feature at a building level, where a feature is a complex measurement or insight, possibly with multiple results.

***feature\_name*** should be set to one of the features outlined in [Metrics and Features](/metrics-and-features.md)

***feature\_value*** is the result.

```graphql
// query
query Building_features(
  $limit: Int,
  $offset: Int,
  $order_by: [building_features_order_by!],
  $where: building_features_bool_exp
) {
  building_features(
    limit: $limit,
    offset: $offset,
    order_by: $order_by,
    where: $where
  ) {
    building_id
    date_time_end
    date_time_start
    feature_name
    feature_value
    granularity
    group_id
    id
    version
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.innerspace.io/deprecated-api-2025-05-26/api-reference-v1-deprecated/building_features-nightly.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
